>source

Xcode 빌드에서 출력 오류 : ↳. ** 빌드 실패 **

Xcode의 출력 : ↳. 2 경고가 생성되었습니다. /users/hongziqing/documents/flutter/.pub-cache/hosted/pub.dartlang.org/image_picker-0.7.4/ios/classes/flti. MagePickerPlugin.m : 149 : 20 : 경고 : 'UialErtView'가 더 이상 사용되지 않습니다 : First Deprecated에서 iOS 9.0 -UialErtView 사용되지 않습니다. 대신 UialertControllerStyleAlErealEreAlert의 uialertController의 uialertController를 사용하십시오 [-wdeprecated -선언] [[uialertView alloc] initwithtitle : nslocalizedstring (@ "오류", nil) ^ 모듈 'UIKIT'에서 가져온 것입니다 /사용자 /Hongziqing /데스크탑 /app_code /개발 -보조 소프트웨어 -의료 -스쿠터 /Flutter_App /iOS /P ODS /대상 지원 파일 /image_picker /image_picker-prefix.pch : 2 : /applications/xcode.app/contents/developer/platforms/iphonesimulator.platform/developer/sdks/iphonesimulat. OR14.5.SDK /시스템 /라이브러리 /프레임 워크 /uikit.framework /headers /uialertview.h : 27 : 12 : 참고 : 'UialErtView'는 명시 적으로 여기에서 사용되지 않는 것으로 표시되었습니다 @Interface UialErtView : UIView. ^ 1 경고 생성. /users/hongziqing/documents/flutter/.pub-cache/hosted/pub.dartlang.org/image_picker-0.7.4/ios/classes/flti. MagePickerPhotoAssetutil.m : 17 : 44 : 경고 : 'UiimagePickerControlleReReferenceURL'이 더 이상 사용되지 않습니다. iOS 11.0에서 사용되지 않음 -이후 릴리스에서 제거 될 예정이므로 phpicker를 사용하십시오. [-wdeprecated -선언] NSURL * ReferenceUrl= [Info ObjectForekey : UIImagePickerControlleReReferenceURL]; ^ 모듈 'UIKIT'에서 가져온 것입니다 /사용자 /Hongziqing /데스크탑 /app_code /개발 -보조 소프트웨어 -의료 -스쿠터 /Flutter_App /iOS /P ODS /대상 지원 파일 /image_picker /image_picker-prefix.pch : 2 : /applications/xcode.app/contents/developer/platforms/iphonesimulator.platform/developer/sdks/iphonesimulat. OR14.5.SDK /시스템 /라이브러리 /프레임 워크 /uikit.framework /headers /uiimagePickerController.h : 62 : 51 : 참고 : 'UIImagePickerControllerReReferenceURL'이 명시 적으로 여기에서 사용되지 않는 것으로 표시되었습니다 uikit_extern uiimagePickerControllokey Const UIImagePickerControllerReferenceURL API_DEPRECATED ( "WILL. 미래의 릴리스에서 제거하고 phpicker를 사용하십시오. ", iOS (4.1, 11.0)) api_unavailable (TVOS); //nsurl AssetSlibrary 프레임 워크에서 자산을 참조하십시오 ^ /users/hongziqing/documents/flutter/.pub-cache/hosted/pub.dartlang.org/image_picker-0.7.4/ios/classes/flti. MagePickerPhotoAssetUtil.m : 21 : 47 : 경고 : 'FetchAssetSwithAlassetUrls : 옵션 :'는 더 이상 사용되지 않습니다. iOS 11에서 사용되지 않음 -향후 릴리스 [-wdeprecated-declations]에서 제거됩니다. phfetchresult < phasset * > * result= [phasset fetchassetswithalasseturls : @ [ReferenceURL] ^ 모듈의 '사진'에서 가져온 것입니다 /users/hongziqing/documents/flutter/.pub-cache/hosted/pub.dartlang.org/image_picker-0.7.4/ios/classes/flti. MagePickerPhotoAssetutil.h : 6 : /applications/xcode.app/contents/developer/platforms/iphonesimulator.platform/developer/sdks/iphonesimulat. OR14.5.SDK /시스템 /라이브러리 /프레임 워크 /Photos.Framework /headers /phasset.h : 74 : 1 : 참고 : 'FetchAssetSwithAlassEturls : 옵션 :'명시 적으로 여기에서 더 이상 사용되지 않음으로 표시되었습니다. + (phfetchresult < phasset * > *) fetchassetsWithAlassEturls : (nsArray < nsurl * > ) AssetURLS 옵션 : (Nullable. phfetchOptions ) 옵션 api_deprecated ( "향후 릴리스에서 제거", iOS (8, 11), TVOS (8, 11)) API_UNAVAILABLE (MACOS); ^ 2 경고가 생성되었습니다. /users/hongziqing/documents/flutter/.pub-cache/hosted/pub.dartlang.org/geolocator-7.0.3/ios/classes/geoloc. Atorplugin.m : 199 : 11 : 경고 : 'openURL :'는 더 이상 사용되지 않습니다 : 첫 번째 iOS 10.0에서 더 이상 사용되지 않습니다. [-wdeprecated -선언] OpenURL : [NSURL URLWithString : UiApplicationOpenSettingSurlString]]]] ^ ~~~~~~ OpenURL : 옵션 : completionHandler : 모듈 'UIKIT'에서 가져온 것입니다 /사용자 /Hongziqing /데스크탑 /app_code /개발 -보조 소프트웨어 -의료 -스쿠터 /Flutter_App /iOS /P ODS /대상 지원 파일 /Geolocator /Geolocator-prefix.pch : 2 : /applications/xcode.app/contents/developer/platforms/iphonesimulator.platform/developer/sdks/iphonesimulat. OR14.5.SDK /시스템 /라이브러리 /프레임 워크 /uikit.framework /headers /uiapplication.h : 123 : 1 : 참고 : 'OpenURL :' 명시 적으로 여기에서 사용되지 않는 것으로 표시되었습니다 -(bool) openURL : (nsurl ) URL API_DEPRECATED_WITH_Replacement ( "OpenURL : 옵션 : completionhandler :", iOS (2.0,10.0)) ns_extension_unavailable_ios ( ""); ^ 1 경고 생성. /사용자 /Hongziqing /데스크탑 /app_code /개발 -보조 소프트웨어 -의료 -스쿠터 /Flutter_App /iOS /P ODS /FBSDKCOREKIT /FBSDKCOREKIT /FBSDKCOREKIT /APPEVENTS /FBSDKAPPEVENTS.M : 463 : 48 : 경고 : 더 작게 ID _Nullable '에서 정수 유형'BOOL '(일명'서명 char ') [-wpointer-to-int-cast] iSimplicitlyLoggle : (BOOL) 파라미터 [FBSDKAPPEVENTParameterImplichLyLyLoggle] ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~ 1 경고 생성. 2021-07-09 05 : 19 : 21.827 Ibtoold [20060 : 1048314] 디버그 : 환경에 추가됨 : { tmpdir= "/var /folders /g3 /5c3p3dks7j98vrqf5drj5tb00000gn /t /a091f85b-23e9-46ef-8e4b-4a482dcd63e5"; } /com.apple.actool.document.warnings / /사용자 /Hongziqing /데스크탑 /APP_code /보조 소프트웨어 -의료 -의료 /Flutter_App /iOS /R 개발 Unner /Assets.xcassets : ./appicon.appiconset /(null) [2D] [[email protected]] : 경고 : 앱 아이콘 세트 "AppIcon"은 6 가지 할당되지 않은 어린이가 있습니다. /사용자 /Hongziqing /데스크탑 /APP_code /보조 소프트웨어 -의료 -의료 /Flutter_App /iOS /R 개발 Unner /Assets.xcassets : ./appicon.appiconset /(null) [2D] [[email protected]] : 경고 : 앱 아이콘 세트 "AppIcon"은 6 가지 할당되지 않은 어린이가 있습니다. /com.apple.actool.document.notices / /사용자 /Hongziqing /데스크탑 /APP_code /보조 소프트웨어 -의료 -의료 /Flutter_App /iOS /R 개발 Unner /Assets.xcassets : ./appicon.appiconset /[] [iPad] [76x76] [] [] [1x] [] [] : 공지 사항 : 76x76 @ 1x 앱 아이콘 만 iPad Apps에 적용하십시오. 10.0 이전의 iOS 릴리스를 타겟팅합니다. /com.apple.actool.compilation-resultion * / /사용자 /Hongziqing /데스크탑 /APP_code /보조 소프트웨어 개발 -의료 -스쿠터 /Flutter_App /빌드 /ios/debug-iphonesimulator/runner.app/[email protected] /사용자 /Hongziqing /데스크탑 /APP_code /보조 소프트웨어 개발 -의료 -스쿠터 /Flutter_App /빌드 /ios/debug-iphonesimulator/runner.app/[email protected] ~ipad.png. /사용자 /Hongziqing /데스크탑 /APP_code /보조 소프트웨어 개발 -의료 -스쿠터 /Flutter_App /빌드 /ios/debug-iphonesimulator/runner.app/assets.car. /사용자 /Hongziqing /라이브러리 /개발자 /xcode /deriveddata /runner-gmsrxwgtttvwtneuagslajhemjwt /build /intermedia tes.noindex /runner.build /debug-iphonesimulator /runner.build /assetcatalog_generated_info.plist

/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Intermedia
tes.noindex/Runner.build/Debug-iphonesimulator/Runner.build/Script-F061639FB3B01BBD0F33B92D.sh: line 2:
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Target Support Files/Pods-Runner/Pods-Runner-frameworks.sh: Permission denied
Command PhaseScriptExecution failed with a nonzero exit code
note: Using new build system
note: Building targets in parallel
note: Planning build
note: Analyzing workspace
note: Constructing build description
note: Build preparation complete
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/uni_links/uni_links.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/sqflite/sqflite.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/shared_preferences/shared_preferences.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/location/location.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/image_cropper/image_cropper.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/image_picker/image_picker.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/url_launcher/url_launcher.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/flutter_facebook_login/flutter_facebook_login.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/Runner.app'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/Pods_Runner.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/google_maps_flutter/google_maps_flutter.framework'
note: Removed stale file
'/Users/hongziqing/Library/Developer/Xcode/DerivedData/Runner-gmsrxwgtttvwtneuagslajhemjwt/Build/Products/
Debug-iphonesimulator/geolocator/geolocator.framework'
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Pods.xcodeproj: warning: The iOS Simulator deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to
8.0, but the range of supported deployment target versions is 9.0 to 14.5.99. (in target
'TOCropViewController-TOCropViewControllerBundle' from project 'Pods')
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Pods.xcodeproj: warning: The iOS Simulator deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to
8.0, but the range of supported deployment target versions is 9.0 to 14.5.99. (in target
'TOCropViewController' from project 'Pods')
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Pods.xcodeproj: warning: The iOS Simulator deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to
8.0, but the range of supported deployment target versions is 9.0 to 14.5.99. (in target 'FMDB' from
project 'Pods')
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Pods.xcodeproj: warning: The iOS Simulator deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to
8.0, but the range of supported deployment target versions is 9.0 to 14.5.99. (in target 'FBSDKLoginKit'
from project 'Pods')
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Pods.xcodeproj: warning: The iOS Simulator deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to
8.0, but the range of supported deployment target versions is 9.0 to 14.5.99. (in target 'FBSDKCoreKit'
from project 'Pods')
/Users/hongziqing/Desktop/APP_code/Development-Of-Auxiliary-Software-For-Medical-Scooter/Flutter_app/ios/P
ods/Pods.xcodeproj: warning: The iOS Simulator deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to
8.0, but the range of supported deployment target versions is 9.0 to 14.5.99. (in target 'Flutter' from
project 'Pods')

시뮬레이터에 대한 응용 프로그램을 작성할 수 없습니다. iPhone 12에서 응용 프로그램을 시작하는 중 오류가 발생했습니다.

  • 답변 # 1

    오류는 iOS 배포 대상이 지원되지 않는다는 것을 알려줍니다 (상위 iOS 버전이 필요한 종속성으로 인해 대부분의 경우)

    최소 iOS 배포 대상을 버전 xx.xx로 설정해야합니다.

    에있는 podfile 파일의 상단 에이 행을 변경 /추가[앱 디렉토리] /ios /podfile

    # Uncomment this line to define a global platform for your project
    platform :ios, '11.0'
    

  • 답변 # 2

    오류는 iOS 배포 대상이 지원되지 않는다는 것을 알려줍니다 (상위 iOS 버전이 필요한 종속성으로 인해 대부분의 경우)

    최소 iOS 배포 대상을 버전 xx.xx로 설정해야합니다.

    에있는 podfile 파일의 상단 에이 행을 변경 /추가[앱 디렉토리] /ios /podfile

    # Uncomment this line to define a global platform for your project
    platform :ios, '11.0'
    

  • 이전 python : 그래픽으로 다른 사람들의 맨 위에 노드를 배치하는 방법은 무엇입니까?
  • 다음 ios : Swiftui DatePicker 특정 날짜